net.minecraft.client.renderer.entity

## Class RenderBiped

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderLiving
      - - net.minecraft.client.renderer.entity.RenderBiped

- Direct Known Subclasses:
    RenderSkeleton, RenderZombie

      public class RenderBiped
      extends RenderLiving

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `bipedArmorFilenamePrefix` List of armor texture filenames.

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderBiped(ModelBiped par1ModelBiped, float par2)`
    `RenderBiped(ModelBiped par1ModelBiped, float par2, float par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `static ResourceLocation` | `func_110857_a(ItemArmor par0ItemArmor, int par1)` Deprecated.
    `static ResourceLocation` | `func_110858_a(ItemArmor par0ItemArmor, int par1, String par2Str)` Deprecated.
    `static ResourceLocation` | `getArmorResource(Entity entity, ItemStack stack, int slot, String type)` More generic ForgeHook version of the above function, it allows for Items to have more control over what texture they provide.
    `void` | `renderPlayer(EntityLivingBase par1EntityLivingBase, double par2, double par4, double par6, float par8, float par9)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `doRenderLiving, setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bipedArmorFilenamePrefix

          public static String[] bipedArmorFilenamePrefix

      List of armor texture filenames.

  - ### Constructor Detail

    - #### RenderBiped

          public RenderBiped(ModelBiped par1ModelBiped,
                     float par2)

    - #### RenderBiped

          public RenderBiped(ModelBiped par1ModelBiped,
                     float par2,
                     float par3)

  - ### Method Detail

    - #### func_110857_a

          @Deprecated
          public static ResourceLocation func_110857_a(ItemArmor par0ItemArmor,
                                                  int par1)

      Deprecated.

    - #### func_110858_a

          @Deprecated
          public static ResourceLocation func_110858_a(ItemArmor par0ItemArmor,
                                                  int par1,
                                                  String par2Str)

      Deprecated.

    - #### getArmorResource

          public static ResourceLocation getArmorResource(Entity entity,
                                          ItemStack stack,
                                          int slot,
                                          String type)

      More generic ForgeHook version of the above function, it allows for Items to have more control over what texture they provide.
      Parameters:
        `entity` - Entity wearing the armor
        `stack` - ItemStack for the armor
        `slot` - Slot ID that the item is in
        `type` - Subtype, can be null or "overlay"
      Returns:
        ResourceLocation pointing at the armor's texture

    - #### doRenderLiving

          public void doRenderLiving(EntityLiving par1EntityLiving,
                            double par2,
                            double par4,
                            double par6,
                            float par8,
                            float par9)

      Overrides:
        `doRenderLiving` in class `RenderLiving`

    - #### renderPlayer

          public void renderPlayer(EntityLivingBase par1EntityLivingBase,
                          double par2,
                          double par4,
                          double par6,
                          float par8,
                          float par9)

      Overrides:
        `renderPlayer` in class `RenderLiving`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Overrides:
        `doRender` in class `RenderLiving`